VISION Help

What do I need to use this website?
To view this website, you need

  • Internet Explorer or Netscape, versions 4.0 or above
  • QuickTime browser plugin (Click here for instructions on how to configure the Quicktime browser plugin)
  • Language fonts (not necessary if you have Arial Unicode MS, a font which is installed with Microsoft Office 2000)

Click here to visit Yale's Software Download page to get QuickTime and a browser.

Visit the webpage of Penn State Computing with Foreign Symbols for instructions on how to configure the computer to view foreign languages.

Who do I contact if I have any questions?
If you have pedagogical/language questions, please contact your Yale language instructor.
If you have technical questions, please contact the Vision administrators.